import{s as xe,n as Me,o as Te}from"../chunks/scheduler.85c25b89.js";import{S as ve,i as He,g as i,s as a,r as m,A as ke,h as o,f as n,c as s,j as ye,u as h,x as p,k as _e,y as Je,a as l,v as r,d,t as g,w as u}from"../chunks/index.c9837788.js";import{C as Y}from"../chunks/CodeBlock.52fa569e.js";import{H as me}from"../chunks/Heading.3097d2ed.js";function je(he){let f,X,P,V,c,F,$,pe="The <code>timm</code> library has a built-in integration with the Hugging Face Hub, making it easy to share and load models from the 🤗 Hub.",S,b,re="In this short guide, we’ll see how to:",N,w,de="<li>Share a <code>timm</code> model on the Hub</li> <li>How to load that model back from the Hub</li>",E,y,I,_,ge="First, you’ll need to make sure you have the <code>huggingface_hub</code> package installed.",R,x,z,M,ue="Then, you’ll need to authenticate yourself. You can do this by running the following command:",B,T,A,v,fe="Or, if you’re using a notebook, you can use the <code>notebook_login</code> helper:",D,H,q,k,K,J,O,j,ce="Here is where you would normally train or fine-tune the model. We’ll skip that for the sake of this tutorial.",ee,C,$e="Let’s pretend we’ve now fine-tuned the model. The next step would be to push it to the Hub! We can do this with the <code>timm.models.hub.push_to_hf_hub</code> function.",te,Z,ne,W,be="Running the above would push the model to <code>&lt;your-username&gt;/resnet18-random</code> on the Hub. You can now share this model with your friends, or use it in your own code!",le,L,ae,U,we='Loading a model from the Hub is as simple as calling <code>timm.create_model</code> with the <code>pretrained</code> argument set to the name of the model you want to load. In this case, we’ll use <a href="https://huggingface.co/nateraw/resnet18-random" rel="nofollow"><code>nateraw/resnet18-random</code></a>, which is the model we just pushed to the Hub.',se,G,ie,Q,oe;return c=new me({props:{title:"Sharing and Loading Models From the Hugging Face Hub",local:"sharing-and-loading-models-from-the-hugging-face-hub",headingTag:"h1"}}),y=new me({props:{title:"Authenticating",local:"authenticating",headingTag:"h2"}}),x=new Y({props:{code:"cGlwJTIwaW5zdGFsbCUyMGh1Z2dpbmdmYWNlX2h1Yg==",highlighted:"pip install huggingface_hub",wrap:!1}}),T=new Y({props:{code:"aHVnZ2luZ2ZhY2UtY2xpJTIwbG9naW4=",highlighted:"huggingface-cli login",wrap:!1}}),H=new Y({props:{code:"ZnJvbSUyMGh1Z2dpbmdmYWNlX2h1YiUyMGltcG9ydCUyMG5vdGVib29rX2xvZ2luJTBBbm90ZWJvb2tfbG9naW4oKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">from</span> huggingface_hub <span class="hljs-keyword">import</span> notebook_login
<span class="hljs-meta">&gt;&gt;&gt; </span>notebook_login()`,wrap:!1}}),k=new me({props:{title:"Sharing a Model",local:"sharing-a-model",headingTag:"h2"}}),J=new Y({props:{code:"aW1wb3J0JTIwdGltbSUwQW1vZGVsJTIwJTNEJTIwdGltbS5jcmVhdGVfbW9kZWwoJ3Jlc25ldDE4JyUyQyUyMHByZXRyYWluZWQlM0RUcnVlJTJDJTIwbnVtX2NsYXNzZXMlM0Q0KQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span><span class="hljs-keyword">import</span> timm
<span class="hljs-meta">&gt;&gt;&gt; </span>model = timm.create_model(<span class="hljs-string">&#x27;resnet18&#x27;</span>, pretrained=<span class="hljs-literal">True</span>, num_classes=<span class="hljs-number">4</span>)`,wrap:!1}}),Z=new Y({props:{code:"bW9kZWxfY2ZnJTIwJTNEJTIwZGljdChsYWJlbF9uYW1lcyUzRCU1QidhJyUyQyUyMCdiJyUyQyUyMCdjJyUyQyUyMCdkJyU1RCklMEF0aW1tLm1vZGVscy5wdXNoX3RvX2hmX2h1Yihtb2RlbCUyQyUyMCdyZXNuZXQxOC1yYW5kb20nJTJDJTIwbW9kZWxfY29uZmlnJTNEbW9kZWxfY2ZnKQ==",highlighted:`<span class="hljs-meta">&gt;&gt;&gt; </span>model_cfg = <span class="hljs-built_in">dict</span>(label_names=[<span class="hljs-string">&#x27;a&#x27;</span>, <span class="hljs-string">&#x27;b&#x27;</span>, <span class="hljs-string">&#x27;c&#x27;</span>, <span class="hljs-string">&#x27;d&#x27;</span>])
<span class="hljs-meta">&gt;&gt;&gt; </span>timm.models.push_to_hf_hub(model, <span class="hljs-string">&#x27;resnet18-random&#x27;</span>, model_config=model_cfg)`,wrap:!1}}),L=new me({props:{title:"Loading a Model",local:"loading-a-model",headingTag:"h2"}}),G=new Y({props:{code:"bW9kZWxfcmVsb2FkZWQlMjAlM0QlMjB0aW1tLmNyZWF0ZV9tb2RlbCgnaGZfaHViJTNBbmF0ZXJhdyUyRnJlc25ldDE4LXJhbmRvbSclMkMlMjBwcmV0cmFpbmVkJTNEVHJ1ZSk=",highlighted:'<span class="hljs-meta">&gt;&gt;&gt; </span>model_reloaded = timm.create_model(<span class="hljs-string">&#x27;hf_hub:nateraw/resnet18-random&#x27;</span>, pretrained=<span class="hljs-literal">True</span>)',wrap:!1}}),{c(){f=i("meta"),X=a(),P=i("p"),V=a(),m(c.$$.fragment),F=a(),$=i("p"),$.innerHTML=pe,S=a(),b=i("p"),b.textContent=re,N=a(),w=i("ol"),w.innerHTML=de,E=a(),m(y.$$.fragment),I=a(),_=i("p"),_.innerHTML=ge,R=a(),m(x.$$.fragment),z=a(),M=i("p"),M.textContent=ue,B=a(),m(T.$$.fragment),A=a(),v=i("p"),v.innerHTML=fe,D=a(),m(H.$$.fragment),q=a(),m(k.$$.fragment),K=a(),m(J.$$.fragment),O=a(),j=i("p"),j.textContent=ce,ee=a(),C=i("p"),C.innerHTML=$e,te=a(),m(Z.$$.fragment),ne=a(),W=i("p"),W.innerHTML=be,le=a(),m(L.$$.fragment),ae=a(),U=i("p"),U.innerHTML=we,se=a(),m(G.$$.fragment),ie=a(),Q=i("p"),this.h()},l(e){const t=ke("svelte-u9bgzb",document.head);f=o(t,"META",{name:!0,content:!0}),t.forEach(n),X=s(e),P=o(e,"P",{}),ye(P).forEach(n),V=s(e),h(c.$$.fragment,e),F=s(e),$=o(e,"P",{"data-svelte-h":!0}),p($)!=="svelte-1lmv8hz"&&($.innerHTML=pe),S=s(e),b=o(e,"P",{"data-svelte-h":!0}),p(b)!=="svelte-11r33nm"&&(b.textContent=re),N=s(e),w=o(e,"OL",{"data-svelte-h":!0}),p(w)!=="svelte-1t5ulh6"&&(w.innerHTML=de),E=s(e),h(y.$$.fragment,e),I=s(e),_=o(e,"P",{"data-svelte-h":!0}),p(_)!=="svelte-18o00ln"&&(_.innerHTML=ge),R=s(e),h(x.$$.fragment,e),z=s(e),M=o(e,"P",{"data-svelte-h":!0}),p(M)!=="svelte-1dqusp5"&&(M.textContent=ue),B=s(e),h(T.$$.fragment,e),A=s(e),v=o(e,"P",{"data-svelte-h":!0}),p(v)!=="svelte-yj2stu"&&(v.innerHTML=fe),D=s(e),h(H.$$.fragment,e),q=s(e),h(k.$$.fragment,e),K=s(e),h(J.$$.fragment,e),O=s(e),j=o(e,"P",{"data-svelte-h":!0}),p(j)!=="svelte-1d50rfn"&&(j.textContent=ce),ee=s(e),C=o(e,"P",{"data-svelte-h":!0}),p(C)!=="svelte-jqz7ws"&&(C.innerHTML=$e),te=s(e),h(Z.$$.fragment,e),ne=s(e),W=o(e,"P",{"data-svelte-h":!0}),p(W)!=="svelte-jnvz89"&&(W.innerHTML=be),le=s(e),h(L.$$.fragment,e),ae=s(e),U=o(e,"P",{"data-svelte-h":!0}),p(U)!=="svelte-kug5in"&&(U.innerHTML=we),se=s(e),h(G.$$.fragment,e),ie=s(e),Q=o(e,"P",{}),ye(Q).forEach(n),this.h()},h(){_e(f,"name","hf:doc:metadata"),_e(f,"content",Ce)},m(e,t){Je(document.head,f),l(e,X,t),l(e,P,t),l(e,V,t),r(c,e,t),l(e,F,t),l(e,$,t),l(e,S,t),l(e,b,t),l(e,N,t),l(e,w,t),l(e,E,t),r(y,e,t),l(e,I,t),l(e,_,t),l(e,R,t),r(x,e,t),l(e,z,t),l(e,M,t),l(e,B,t),r(T,e,t),l(e,A,t),l(e,v,t),l(e,D,t),r(H,e,t),l(e,q,t),r(k,e,t),l(e,K,t),r(J,e,t),l(e,O,t),l(e,j,t),l(e,ee,t),l(e,C,t),l(e,te,t),r(Z,e,t),l(e,ne,t),l(e,W,t),l(e,le,t),r(L,e,t),l(e,ae,t),l(e,U,t),l(e,se,t),r(G,e,t),l(e,ie,t),l(e,Q,t),oe=!0},p:Me,i(e){oe||(d(c.$$.fragment,e),d(y.$$.fragment,e),d(x.$$.fragment,e),d(T.$$.fragment,e),d(H.$$.fragment,e),d(k.$$.fragment,e),d(J.$$.fragment,e),d(Z.$$.fragment,e),d(L.$$.fragment,e),d(G.$$.fragment,e),oe=!0)},o(e){g(c.$$.fragment,e),g(y.$$.fragment,e),g(x.$$.fragment,e),g(T.$$.fragment,e),g(H.$$.fragment,e),g(k.$$.fragment,e),g(J.$$.fragment,e),g(Z.$$.fragment,e),g(L.$$.fragment,e),g(G.$$.fragment,e),oe=!1},d(e){e&&(n(X),n(P),n(V),n(F),n($),n(S),n(b),n(N),n(w),n(E),n(I),n(_),n(R),n(z),n(M),n(B),n(A),n(v),n(D),n(q),n(K),n(O),n(j),n(ee),n(C),n(te),n(ne),n(W),n(le),n(ae),n(U),n(se),n(ie),n(Q)),n(f),u(c,e),u(y,e),u(x,e),u(T,e),u(H,e),u(k,e),u(J,e),u(Z,e),u(L,e),u(G,e)}}}const Ce='{"title":"Sharing and Loading Models From the Hugging Face Hub","local":"sharing-and-loading-models-from-the-hugging-face-hub","sections":[{"title":"Authenticating","local":"authenticating","sections":[],"depth":2},{"title":"Sharing a Model","local":"sharing-a-model","sections":[],"depth":2},{"title":"Loading a Model","local":"loading-a-model","sections":[],"depth":2}],"depth":1}';function Ze(he){return Te(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ye extends ve{constructor(f){super(),He(this,f,Ze,je,xe,{})}}export{Ye as component};
